---
title: initDataTypes
slug: Web/API/MediaKeySystemConfiguration/initDataTypes
tags:
  - API
  - Audio
  - EncryptedMediaExtensions
  - Media
  - MediaKeySystemConfiguration
  - NeedsExample
  - Property
  - Reference
  - Video
  - initDataTypes
---
<div>{{APIRef("EncryptedMediaExtensions")}}{{SeeCompatTable}}</div>

<p>The <code>MediaKeySystemConfiguration.initDataTypes</code> read-only property returns a list of supported initialization data type names. An initialization data type is a string indicating the format of the initialization data.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>dataTypes</var>[] = <var>mediaSystemConfiguration</var>.initDataTypes;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME', '#dom-mediakeysystemconfiguration-initdatatypes', 'initDataTypes')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaKeySystemConfiguration.initDataTypes")}}</p>
</div>
